Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.ssi.servlets
Class ServletCommand

    java.lang.Object
      |
      +--org.w3c.jigsaw.ssi.servlets.ServletCommand

public class ServletCommand
extends java.lang.Object
implements Command

Implementation of the SSI `servlet` command. Servlet can be executed simply by providing a url path to a servlet class.

Field Summary
`protected static java.util.Hashtable` | `wrappers`

Constructor Summary
`ServletCommand()`

Method Summary
`boolean` | `acceptCaching()` return true if reply can be cached.
`protected void` | `addParam(java.util.Dictionary d, java.lang.String name, java.lang.String param, java.lang.String value)`
`Reply` | `execute(SSIFrame ssiframe, Request request, ArrayDictionary parameters, java.util.Dictionary variables)`
`java.lang.String` | `getName()`
`protected java.util.Hashtable` | `getParams(java.util.Dictionary d, java.lang.String name)`
`java.lang.String` | `getValue(java.util.Dictionary variables, java.lang.String var, Request request)`
`protected boolean` | `isRemote(java.lang.String code)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wrappers

    protected static java.util.Hashtable wrappers

Constructor Detail

### ServletCommand

    public ServletCommand()

Method Detail

### addParam

    protected void addParam(java.util.Dictionary d,
                            java.lang.String name,
                            java.lang.String param,
                            java.lang.String value)

### getParams

    protected java.util.Hashtable getParams(java.util.Dictionary d,
                                            java.lang.String name)

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface Command

### getValue

    public java.lang.String getValue(java.util.Dictionary variables,
                                     java.lang.String var,
                                     Request request)

  Specified by:
    getValue in interface Command

### isRemote

    protected boolean isRemote(java.lang.String code)

### acceptCaching

    public boolean acceptCaching()

  return true if reply can be cached.
  Specified by:
    acceptCaching in interface Command
  Returns:
    a boolean.

### execute

    public Reply execute(SSIFrame ssiframe,
                         Request request,
                         ArrayDictionary parameters,
                         java.util.Dictionary variables)

  Specified by:
    execute in interface Command

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD